Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class SQLClientInfoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  java.sql.SQLClientInfoException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class SQLClientInfoException

extends SQLException

The subclass of `SQLException` is thrown when one or more client info properties could not be set on a `Connection`. In addition to the information provided by `SQLException`, a `SQLClientInfoException` provides a list of client info properties that were not set. Some databases do not allow multiple client info properties to be set atomically. For those databases, it is possible that some of the client info properties had been set even though the `Connection.setClientInfo` method threw an exception. An application can use the `getFailedProperties` method to retrieve a list of client info properties that were not set. The properties are identified by passing a `Map<String,ClientInfoStatus>` to the appropriate `SQLClientInfoException` constructor.

Since:
  1.6
See Also:
  `ClientInfoStatus`, `Connection.setClientInfo(java.lang.String, java.lang.String)`, Serialized Form

Constructor Summary
`SQLClientInfoException()` Constructs a `SQLClientInfoException` Object.
`SQLClientInfoException(Map<String,ClientInfoStatus> failedProperties)` Constructs a `SQLClientInfoException` object initialized with a given `failedProperties`.
`SQLClientInfoException(Map<String,ClientInfoStatus> failedProperties, Throwable cause)` Constructs a `SQLClientInfoException` object initialized with a given `cause` and `failedProperties`.
`SQLClientInfoException(String reason, Map<String,ClientInfoStatus> failedProperties)` Constructs a `SQLClientInfoException` object initialized with a given `reason` and `failedProperties`.
`SQLClientInfoException(String reason, Map<String,ClientInfoStatus> failedProperties, Throwable cause)` Constructs a `SQLClientInfoException` object initialized with a given `reason`, `cause` and `failedProperties`.
`SQLClientInfoException(String reason, String SQLState, int vendorCode, Map<String,ClientInfoStatus> failedProperties)` Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `vendorCode` and `failedProperties`.
`SQLClientInfoException(String reason, String SQLState, int vendorCode, Map<String,ClientInfoStatus> failedProperties, Throwable cause)` Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `cause`, `vendorCode` and `failedProperties`.
`SQLClientInfoException(String reason, String SQLState, Map<String,ClientInfoStatus> failedProperties)` Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState` and `failedProperties`.
`SQLClientInfoException(String reason, String SQLState, Map<String,ClientInfoStatus> failedProperties, Throwable cause)` Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `cause` and `failedProperties`.

Method Summary
`Map<String,ClientInfoStatus>` | `getFailedProperties()` Returns the list of client info properties that could not be set.

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLClientInfoException

    public SQLClientInfoException()

  Constructs a `SQLClientInfoException` Object. The `reason`, `SQLState`, and failedProperties list are initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(Map<String,ClientInfoStatus> failedProperties)

  Constructs a `SQLClientInfoException` object initialized with a given `failedProperties`. The `reason` and `SQLState` are initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Parameters:
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(Map<String,ClientInfoStatus> failedProperties,
                                  Throwable cause)

  Constructs a `SQLClientInfoException` object initialized with a given `cause` and `failedProperties`. The `reason` is initialized to `null` if `cause==null` or to `cause.toString()` if `cause!=null` and the vendor code is initialized to 0.

  Parameters:
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`
    `cause` - the (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(String reason,
                                  Map<String,ClientInfoStatus> failedProperties)

  Constructs a `SQLClientInfoException` object initialized with a given `reason` and `failedProperties`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Parameters:
    `reason` - a description of the exception
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(String reason,
                                  Map<String,ClientInfoStatus> failedProperties,
                                  Throwable cause)

  Constructs a `SQLClientInfoException` object initialized with a given `reason`, `cause` and `failedProperties`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0.

  Parameters:
    `reason` - a description of the exception
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(String reason,
                                  String SQLState,
                                  Map<String,ClientInfoStatus> failedProperties)

  Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState` and `failedProperties`. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method. The vendor code is initialized to 0.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(String reason,
                                  String SQLState,
                                  Map<String,ClientInfoStatus> failedProperties,
                                  Throwable cause)

  Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `cause` and `failedProperties`. The vendor code is initialized to 0.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(String reason,
                                  String SQLState,
                                  int vendorCode,
                                  Map<String,ClientInfoStatus> failedProperties)

  Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `vendorCode` and `failedProperties`. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `vendorCode` - a database vendor-specific exception code
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`

  Since:
    1.6

### SQLClientInfoException

    public SQLClientInfoException(String reason,
                                  String SQLState,
                                  int vendorCode,
                                  Map<String,ClientInfoStatus> failedProperties,
                                  Throwable cause)

  Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `cause`, `vendorCode` and `failedProperties`.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `vendorCode` - a database vendor-specific exception code
    `failedProperties` - A Map containing the property values that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.

  Since:
    1.6

Method Detail

### getFailedProperties

    public Map<String,ClientInfoStatus> getFailedProperties()

  Returns the list of client info properties that could not be set. The keys in the Map contain the names of the client info properties that could not be set and the values contain one of the reason codes defined in `ClientInfoStatus`

  Returns:
    Map list containing the client info properties that could not be set

  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.